#!/usr/bin/perl

sub isusername
{
  if (($_[0] !~ /^[^a-zA-Z]/) && ($_[0] !~ /[^\w\-]/))
  {
    return 1;
  }
  else
  {
    return 0;
  }
}

sub loadfile
{
  local($filename, *text) = @_;
  @text = ();
  local(*IN);
  if (-f $filename)
  {
    open(IN, $filename);
    @text = <IN>;
    close(IN);
    return 1;
  }
  else
  {
    return 0;
  }
}


sub savebak
{
  local($filename, *text) = @_;
  $filename =~ /([^\/]+$)/;
  my $bakname = $1 . ".bak";
  local(*OUT);
  open(OUT, ">$bakname");
  print OUT @text;
  close(OUT);
}


sub savefile
{
  local($filename, *text) = @_;
  local(*OUT);
  open(OUT, ">" . $filename);
  print OUT @text;
  close(OUT);
}

1;
